require 'httparty'
require 'json'
module DataAPI

    def getIdentity(appSecret, userSecret, token, sync, addresses)
        payload = { 
            appSecret: appSecret,
            userSecret: userSecret,
            sync: sync,
            addresses: addresses
        }
        headers = { 
            "Content-Type": "application/json",
             Authorization: "Bearer #{token}"
        }

        response = HTTParty.post( "http://localhost:80/v1/data/identity/get", {body: payload.to_json, headers: headers} )
    end

    def getAccounts(appSecret, userSecret, token, sync, addresses)
        payload = { 
            appSecret: appSecret,
            userSecret: userSecret,
            sync: sync,
            addresses: addresses
        }
        headers = { 
            "Content-Type": "application/json",
             Authorization: "Bearer #{token}"
        }

        response = HTTParty.post( "http://localhost:80/v1/data/accounts/get", {body: payload.to_json, headers: headers} )
    end

    def getCards(appSecret, userSecret, token, sync, addresses)
        payload = { 
            appSecret: appSecret,
            userSecret: userSecret,
            sync: sync,
            addresses: addresses
        }
        headers = { 
            "Content-Type": "application/json",
             Authorization: "Bearer #{token}"
        }

        response = HTTParty.post( "http://localhost:80/v1/data/cards/get", {body: payload.to_json, headers: headers} )
    end

    def getBalance(appSecret, userSecret, accountID, token, sync, addresses)
        payload = { 
            appSecret: appSecret,
            userSecret: userSecret,
            sync: sync,
            accountID: accountID,
            addresses: addresses
        }
        headers = { 
            "Content-Type": "application/json",
             Authorization: "Bearer #{token}"
        }

        response = HTTParty.post( "http://localhost:80/v1/data/balance/get", {body: payload.to_json, headers: headers} )
    end

    def getCardBalance(appSecret, userSecret, cardID, token, sync, addresses)
        payload = { 
            appSecret: appSecret,
            userSecret: userSecret,
            sync: sync,
            cardID: cardID,
            addresses: addresses
        }
        headers = { 
            "Content-Type": "application/json",
             Authorization: "Bearer #{token}"
        }

        response = HTTParty.post( "http://localhost:80/v1/data/balance/get", {body: payload.to_json, headers: headers} )
    end

    def getTranscations(appSecret, userSecret, accountID, fromDate, toDate, token, sync, addresses)
        payload = { 
            appSecret: appSecret,
            userSecret: userSecret,
            sync: sync,
            accountID: accountID,
            addresses: addresses
        }
        headers = { 
            "Content-Type": "application/json",
             Authorization: "Bearer #{token}"
        }

        response = HTTParty.post( "http://localhost:80/v1/data/transactions/get", {body: payload.to_json, headers: headers} )
    end

    def getCardTransactions(appSecret, userSecret, cardID, fromDate, toDate, token, sync, addresses)
        payload = { 
            appSecret: appSecret,
            userSecret: userSecret,
            sync: sync,
            cardID: cardID,
            addresses: addresses
        }
        headers = { 
            "Content-Type": "application/json",
             Authorization: "Bearer #{token}"
        }

        response = HTTParty.post( "http://localhost:80/v1/data/transactions/get", {body: payload.to_json, headers: headers} )
    end

    def getAccountsMetaData(appSecret, userSecret, sync, addresses)
        payload = { 
            appSecret: appSecret,
            userSecret: userSecret,
            sync: sync, 
            addresses: addresses
        }
        headers = { 
            "Content-Type": "application/json",
             Authorization: "Bearer #{token}"
        }

        response = HTTParty.post( "http://localhost:80/v1/data/transactions/get", {body: payload.to_json, headers: headers} )
    end
end